Closed Bug 1176191 Opened 6 years ago Closed 6 years ago

[Camera]Flashlight cannot be closed while low battery prompt pop up.

Categories

(Firefox OS Graveyard :: Gaia::Camera, defect)

ARM
Gonk (Firefox OS)
defect
Not set
normal

Tracking

(b2g-v2.1 affected, b2g-v2.2 affected, b2g-master verified)

RESOLVED FIXED
Tracking Status
b2g-v2.1 --- affected
b2g-v2.2 --- affected
b2g-master --- verified

People

(Reporter: huayu.li, Assigned: aosmond)

References

Details

(Whiteboard: [v2.2-nexus-5-l])

Attachments

(3 files)

Attached file logcat1.txt
[1.Description]:
[Flame2.1&2.2&3.0][Nexus5 2.2&3.0]Launch Camera, switch to Video Mode, and trun on the flashlight.  While battery is too low to use camera, a prompt pops up, but the flashlight cannot be closed.
Found at:4:50
See attachment:logcat1.txt, video VIDEO0573.3gp.

[2.Testing Steps]: 
Precondition: Low battery.
1.Launch camera.
2.Switch to recorder.
3.Turn on flash.
4.Low battery prompt pops up.

[3.Expected Result]: 
4.Flashlight should be closed while battery is too low to use camera.

[4.Actual Result]: 
4. It prompts that "The battery is too low to use camera", but the flashlight is not closed.

[5.Reproduction build]: 
Device: Flame 2.1[Affected]
Build ID               20150618001205
Gaia Revision          f8b848c82d1ed589f7a1eb5cc099830c867ff1d4
Gaia Date              2015-06-08 09:48:23
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/0ebea88c344d
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150618.034111
Firmware Date          Thu Jun 18 03:41:22 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.2 (Affected)
Build ID               20150618002507
Gaia Revision          3414b07dc489976bf510fd8042c0af3b1192c160
Gaia Date              2015-06-16 22:04:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/a2db74491088
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150618.035510
Firmware Date          Thu Jun 18 03:55:22 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (Affected)
Build ID               20150618010201
Gaia Revision          b404c41c5471c31610e64defb74ec066b411e724
Gaia Date              2015-06-17 17:01:15
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/a3f280b6f8d5
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150618.043514
Firmware Date          Thu Jun 18 04:35:26 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus5 2.2 (Affected)
Build ID               20150618002507
Gaia Revision          3414b07dc489976bf510fd8042c0af3b1192c160
Gaia Date              2015-06-16 22:04:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/a2db74491088
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150618.034835
Firmware Date          Thu Jun 18 03:48:52 EDT 2015
Bootloader             HHZ12f

Device: Nexus5 3.0 (Affected)
Build ID               20150618160206
Gaia Revision          55bac3c151bff4f0ce0e8715962c4676fefb0887
Gaia Date              2015-06-18 16:49:24
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/656ea3bfbb4e
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150618.192142
Firmware Date          Thu Jun 18 19:22:00 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
Attached video VIDEO0573.3gp
Fixed the volume keys taking photos/recordings recently in bug 1166619 but it seems that wasn't enough. We ought to just release the camera in that case.
Assignee: nobody → aosmond
Status: NEW → ASSIGNED
Attachment #8624694 - Flags: review?(jdarcangelo)
Comment on attachment 8624694 [details] [review]
[gaia] aosmond:bug1176191 > mozilla-b2g:master

LGTM
Attachment #8624694 - Flags: review?(jdarcangelo) → review+
Flags: in-testsuite+
Keywords: checkin-needed
https://github.com/mozilla-b2g/gaia/commit/3485a10d6e630b4aff42ddae51c08f052ad3d6ae
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Keywords: checkin-needed
Resolution: --- → FIXED
This issue has been verified as pass on latest build of flame3.0&Nexus5 3.0.
Rate:0/5

Device:Flame3.0[verified]
Build ID               20150624080416
Gaia Revision          eb0d4aefa62b20420d6fa0642515a110daca5d97
Gaia Date              2015-06-24 01:48:14
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4cdc1a95a672
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150624.153831
Firmware Date          Wed Jun 24 15:38:44 EDT 2015
Bootloader             L1TC000118D0

Device:N5 3.0[Verified]
Build ID               20150625160206
Gaia Revision          038e917076271d304b906a41b4de670e505c67ae
Gaia Date              2015-06-25 00:22:19
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0b2f5e8b7be5
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150625.192222
Firmware Date          Thu Jun 25 19:22:41 EDT 2015
Bootloader             HHZ12f
You need to log in before you can comment on or make changes to this bug.